## subversion 1.6.16-1maemo1

=== debian/changelog ===
subversion (1.6.16-1maemo1) fremantle; urgency=low

  * Merged  with upstream

 --  Nikita Tsukanov <keks9n@gmail.com>  Sun,  22 May 2011 03:53:35 +0400

subversion (1.6.12-3) unstable; urgency=low

  * Added SSL support for https scheme

 -- Sebastien Lelong <sebastien.lelong@gmail.com>  Wed,  7 Jul 2010 18:25:03 +0200

subversion (1.6.12-2) unstable; urgency=low

  * Fix wrong dependency

 -- Sebastien Lelong <sebastien.lelong@gmail.com>  Wed,  7 Jul 2010 18:25:03 +0200

subversion (1.6.12-1) unstable; urgency=low

  * Initial build for N900

 -- Sebastien Lelong <sebastien.lelong@gmail.com>  Wed,  7 Jul 2010 17:46:52 +0200
