=== debian/control ===
Source: subversion
Section: devel
Priority: extra
Maintainer: Nikita Tsukanov <keks9n@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libneon29-dev, libapr1-dev, libaprutil1-dev, libxml2-dev, libsqlite3-dev, zlib1g-dev, libexpat1-dev, libssl-dev
Standards-Version: 3.7.2

Package: subversion
Architecture: armel
Depends: libaprutil1
Description: Enterprise-class centralized version control for the masses
