=== debian/changelog ===
subversion (1.6.19-1+WANdisco) stable; urgency=low
 * Version 1.6.19
 * (10 Sep 2012, from /branches/1.6.x)
 * http://svn.apache.org/repos/asf/subversion/tags/1.6.19
 *  Client-side bugfixes:
   * handle missing svn:date reported by svnserve gracefully (r1306111)
 *  Server-side bugfixes:
   * fix possible server hang if a hook script fails to start (r1330410)
   * fix write-through proxy commit regression introduced in 1.6.17 (r1088602)
   * partial sync drops properties when converting to adds (issue #4184)
 *  Developer-visible changes:
   * fix the testsuite to avoid FAILs on APR hash order (r1230714, et al)

 -- Gavin Cox <opensource@wandisco.com>  Thurs, 13 Sept 2012 10:06:00 +0000

subversion (1.6.18WANdisco-1) stable; urgency=low

 * Version 1.6.18
 * (29 Mar 2012, from /branches/1.6.x)
 * http://svn.apache.org/repos/asf/subversion/tags/1.6.18
 *  User-visible changes:
    * reject invalid svn:mergeinfo at commit time over DAV (issue #3953) 
    * fix reintegrate merge regression introduced in 1.6.13 (issue #3957)
    * make the stderr output of the post-commit hook XML-safe (r893478)
    * fix a rare source of FSFS corruption (r1240752)
    * plug a memory leak in the bdb backend (r1205726)
    * server-side performance fix for "log -g" (r1152282)
    * fix description of svndumpfilter's --targets option (r1151911)
    * fix datastream corruption during resumed transfer in ra_serf (r1154733)
    * fix a crash in ra_svn SASL authentication (r1166555, -678)
    * fix potential corruption on 32-bit FSFS with large files (r1230212)
    * make website links point to subversion.apache.org (r896893, -901, r915036)
    * fix non-fatal FSFS corruption bug with concurrent commits (issue #4129)
 *  Developer-visible changes:
    * fix sqlite distfile retrieval in get-deps.sh (r1134734)
    * fix swig-py memory leak (r1235264, -296, -302, -736)
    * allow passing --with-jdk to gen-make.py on Windows (r966167)

 -- Mark Poole <mark.poole@wandisco.com>  Mon, 16 Apr 2012 20:38:00 -0000

subversion (1.6.17WANdisco-1) stable; urgency=low

  * Version 1.6.17
  * (01 Jun 2011, from /branches/1.6.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.6.17
  *  User-visible changes:
  * improve checkout speed on Windows (issue #3719)
  * make 'blame -g' more efficient on with large mergeinfo (r1094692)
  * avoid some invalid handle exceptions on Windows (r1095654)
  * preserve log message with a non-zero editor exit (r1072084)
  * fix FSFS cache performance on 64-bit platforms (r1103665)
  * make svn cleanup tolerate obstructed directories (r1091881)
  * fix deadlock in multithreaded servers serving FSFS repositories (r1104093)
  * detect very occasional corruption and abort commit (issue #3845)
  * fixed: file externals cause non-inheritable mergeinfo (issue #3843)
  * fixed: file externals cause mixed-revision working copies (issue #3816)
  * fix crash in mod_dav_svn with GETs of baselined resources (r1104126)
  * See CVE-2011-1752, and descriptive advisory at
  * http://subversion.apache.org/security/CVE-2011-1752-advisory.txt
  * fixed: write-through proxy could direcly commit to slave (r917523)
  * detect a particular corruption condition in FSFS (r1100213)
  * improve error message when clients refer to unkown revisions (r939000)
  * bugfixes and optimizations to the DAV mirroring code (r878607)
  * fixed: locked and deleted file causes tree conflict (issue #3525)
  * fixed: update touches locked file with svn:keywords property (issue #3471)
  * fix svnsync handling of directory copyfrom (issue #3641)
  * fix 'log -g' excessive duplicate output (issue #3650)
  * fix svnsync copyfrom handling bug with BDB (r1036429)
  * server-side validation of svn:mergeinfo syntax during commit (issue #3895)
  * fix remotely triggerable mod_dav_svn DoS
  * See CVE-2011-1783, and descriptive advisory at
  * http://subversion.apache.org/security/CVE-2011-1783-advisory.txt
  * fix potential leak of authz-protected file contents
  * See CVE-2011-1921, and descriptive advisory at
  * http://subversion.apache.org/security/CVE-2011-1921-advisory.txt
  * Developer-visible changes:
  * fix reporting FS-level post-commit processing errors (r1104098)
  * fix JVM recognition on OS X Snow Leopard (10.6) (r1028084)
  * allow building on Windows with recent Expat (r1074572)
  
 -- Mark Poole <mark.poole@wandisco.com>  Mon, 30 May 2011 19:02:00 -0000

subversion (1.6.16WANdisco-1) stable; urgency=low

  * Version 1.6.16
  * (02 Mar 2011, from /branches/1.6.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.6.16
  * User-visible changes:
  * more improvement to the 'blame -g' memory leak from 1.6.15 (r1041438)
  * avoid a crash in mod_dav_svn when using locks (r1071239, -307)
  * See CVE-2011-0715, and descriptive advisory at
  *          http://subversion.apache.org/security/CVE-2011-0715-advisory.txt
  * avoid unnecessary globbing for performance (r1068988)
  * don't add tree conflicts when one already exists (issue #3486)
  * fix potential crash when requesting mergeinfo (r902467)
  * don't attempt to resolve prop conflicts in 'merge --dry-run' (r880146)
  * more fixes for issue #3270.
  *  Developer-visible changes:
  * ensure report_info_t is properly initialized by ra_serf (r1058722)
  * locate errors properly on a malfunction (r1053208)
  * fix output param timing of svn_fs_commit_txn() on fsfs (r1051751)
  * for svn_fs_commit_txn(), set invalid rev on failed commit (r1051632, -8)
  * fix sporadic Ruby bindings test failures (r1038792)
  * fix JavaHL JVM object leak when dumping large revisions (r947006)
  * use Perl to resolve symlinks when building swig-pl (r1039040)
  * allow Perl bindings to build within a symlinked working copy (r1036534)
  * don't overwrite the LD_LIBRARY_PATH during make check-swig-pl (r946355)
  * improve unit tests for some fs functions (r1051744, -5, -3185, -241)

 -- Mark Poole <mark.poole@wandisco.com>  Wed, 02 Mar 2010 09:18:00 -0000


