=== debian/control ===
Source: subversion
Section: vcs
Priority: optional
Maintainer: Mark Poole <mark.poole@wandisco.com>
Build-Depends: debhelper, libneon27-gnutls-dev, libserf-dev (>= 1.0.0-1), zlib1g-dev,
               libapr1-dev, libaprutil1-dev, libdb4.8-dev,
               libsasl2-dev, apache2-threaded-dev,
               libsqlite3-dev (>= 3.4), libgnome-keyring-dev, libdbus-1-dev, kdelibs5-dev,
               quilt, doxygen, autotools-dev, autoconf, libtool, swig,
               python-all-dev, python-support,
               perl, libperl-dev, ruby1.8, ruby1.8-dev,
               junit [!alpha !arm !hppa !m68k !mips !mipsel !hurd-i386]
Build-Conflicts: libsvn-dev (<< 1.6)
XS-Python-Version: 2.4, 2.5, 2.6
Homepage: http://subversion.apache.org/
Standards-Version: 0.1

Package: subversion
Architecture: any
Depends: libsvn1 (= ${binary:Version}), ${shlibs:Depends}
Suggests: subversion-tools, db4.8-util, patch
Description: Advanced version control system
 Subversion, also known as svn, is a version control system much like
 the Concurrent Versions System (CVS).  Version control systems allow
 many individuals (who may be distributed geographically) to
 collaborate on a set of files (typically source code).  Subversion has
 all the major features of CVS, plus certain new features that CVS
 users often wish they had.
 .
 This package includes the Subversion client (svn), tools to create a
 Subversion repository (svnadmin) and to make a repository available
 over a network (svnserve).

Package: libsvn1
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries used by Subversion
 This package includes shared libraries to manipulate Subversion (svn)
 repositories and working copies.  See the 'subversion' package for
 more information.

Package: libsvn-dev
Priority: extra
Architecture: any
Depends: libsvn1 (= ${binary:Version}), libapr1-dev, libaprutil1-dev
Suggests: libsvn-doc, zlib1g-dev, libneon27-gnutls-dev
Description: Development files for Subversion libraries
 This package contains the symlinks, headers, and object files needed
 to compile and link programs which use libsvn1, the Subversion
 libraries.  This package is needed only in order to compile software
 that uses libsvn1.

Package: libsvn-doc
Suggests: libsvn-dev
Section: doc
Priority: extra
Architecture: all
Description: Developer documentation for libsvn
 This package contains development (API) documentation for libsvn1, the
 Subversion libraries.  See the 'libsvn1' package for more information.

Package: libapache2-svn
Section: httpd
Architecture: any
Depends: apache2.2-common, ${shlibs:Depends}
Suggests: db4.8-util
Description: Subversion server modules for Apache
 This package provides the mod_dav_svn and mod_authz_svn modules for
 the Apache 2.2 web server.  These modules provide Subversion's WebDAV
 server backend, to serve repositories over the http and https
 protocols.  See the 'subversion' package for more information.

Package: python-subversion
Section: python
Architecture: any
Depends: subversion, ${shlibs:Depends}, ${Python:Depends}
Provides: ${python:Provides}
Description: Python bindings for Subversion
 This is a set of Python interfaces to libsvn, the Subversion
 libraries.  It is useful if you want to, for example, write a Python
 script that manipulates a Subversion repository or working copy.  See
 the 'subversion' package for more information.

Package: subversion-tools
Priority: extra
Architecture: all
Depends: subversion (>= 1.5)
Recommends: python-subversion (>= 1.5), libsvn-perl (>= 1.5),
            libconfig-inifiles-perl, liburi-perl,
            exim4 | mail-transport-agent, xsltproc, rsync
Suggests: libsvn-ruby1.8
Description: Assorted tools related to Subversion
 This package includes miscellaneous tools for use with Subversion
 clients and servers:
  * svn-backup-dumps: Incremental dumpfile-based backup script
  * svn-bisect: Bisect revisions to find a regression
  * svn-clean: Remove unversioned files from a working copy
  * svn-fast-backup: rsync-based backup script for FSFS repositories
  * svn-hot-backup: Backup script, primarily for BDB repositories
  * svn_apply_autoprops: Apply property settings from
    .subversion/config file to an existing repository
  * svn_load_dirs: Sophisticated replacement for 'svn import'
  * svn2cl: Generate GNU-style changelog from repository history
  * svnmerge: Maintain merge history between two related branches
    (mostly obsolete as of Subversion 1.5)
  * svnwrap: Set umask to 002 before calling svn or svnserve
  * several example hook scripts: commit-access-control, commit-email,
    log-police, mailer, svnperms, verify-po
 .
 NOTE that some of these scripts are unsupported by upstream, and may
 change radically or disappear in future releases.  The Recommended
 packages are each required by at least one of these scripts.

Package: libsvn-java
Section: java
Architecture: any
Depends: gij | java5-runtime-headless, libsvn1 (= ${binary:Version}), ${shlibs:Depends}
Description: Java bindings for Subversion
 This is a set of Java classes which provide the functionality of
 libsvn, the Subversion libraries.  It is useful if you want to, for
 example, write a Java class that manipulates a Subversion repository
 or working copy.  See the 'subversion' package for more information.

Package: libsvn-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}
Description: Perl bindings for Subversion
 This is a set of Perl interfaces to libsvn, the Subversion libraries.
 It is useful if you want to, for example, write a Perl script that
 manipulates a Subversion repository or working copy.  See the
 'subversion' package for more information.

Package: libsvn-ruby1.8
Section: ruby
Architecture: any
Depends: ruby1.8, ${shlibs:Depends}
Description: Ruby bindings for Subversion
 This is a set of Ruby interfaces to libsvn, the Subversion libraries.
 It is useful if you want to, for example, write a Ruby script that
 manipulates a Subversion repository or working copy.  See the
 'subversion' package for more information.

Package: libsvn-ruby
Section: ruby
Architecture: all
Depends: libsvn-ruby1.8
Description: Ruby bindings for Subversion (dummy package)
 This is a dummy package to install the Subversion library bindings for
 the default version of Ruby.
