## subversion 1.7.6-1+WANdisco

=== debian/changelog ===
subversion (1.7.6-1+WANdisco) stable; urgency=low
  * Version 1.7.6
  * (15 Aug 2012, from /branches/1.7.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.7.6
  * User-visible changes:
   * Client- and server-side bugfixes:
   * Client-side bugfixes:
     * Fix "svn status -u --depth empty FILE" (r1348822, r1349215)
     * Fix example output of 'svn help status' (issue #3962)
     * svn propset of svn:eol-style might not notice related text changes (r1353572)
     * sort output of 'svn propget -R' (r1355699)
     * sort output of 'svn proplist' (r1355698)
     * sort output of 'svn status' (r1341012)
     * avoid a filestat per working copy find operation (r1340556)
     * optimize 'svn upgrade' performance on large working copies (r1342984)
     * allow 'file:///C:\repos' style arguments on Windows, like 1.6 (r1346765)
     * fix ra_serf against Subversion 1.2 servers (r1349367)
     * fix 'svn upgrade' on working copies with certain tree conflicts (r1345482)
     * avoid workqueue references to system temp dir (r1367854)
     * allow non-existant canonical paths (r1367853)
     * fix 'svn revert --depth files' to operate on files (r1365554)
     * fix ra_serf XML namespace handling against malicious server (r1337441)
     * fix relocate with server-relative externals (issue 4216)
     * change two asserts into errors for TortoiseSVN (r1368128, r1368065)
     * don't attempt to anchor an operation outside a wc root (r1361341)
  * Server-side bugfixes:
     * partial sync drops properties when converting to adds (issue #4184)
     * replaying a copy and delete of an unreadable child fails (issue #4121)
     * allow svnlook to operate on r0 (r1362508)
     * make FSFS revision files independent of APR hash order (r1367498)
  * Other tool improvements and bugfixes:
     * move mod_dontdothat to install-tools (r1307177)
  * Developer-visible changes:
    General:
     * fix running tests against httpd 2.4 (r1291594)
     * use constant struct initialisers for C89 compatibility (r1352068)
  * Bindings:
     * JavaHL: Don't assert on some invalid input (r1354626, r1354652)
     * JavaHL: Add missing new in 1.7 notifications (r1351772)

 -- Gavin Cox <opensource@wandisco.com>  Mon, 13 Aug 2012 10:30:00 +0000

subversion (1.7.5-1+WANdisco) stable; urgency=low
  * Version 1.7.5
  * (17 May 2012, from /branches/1.7.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.7.5
  * User-visible changes:
    * Client- and server-side bugfixes:
      * http: report deleted-revision upon delete during update (r1327474)
    * Client-side bugfixes:
      * avoid potential segfault when canonicalizing properties (r1296369)
      * improve memory and file-handle management with externals (issue #4130)
      * serf: convert assertions to "MERGE failed" errors (r1302417)
      * fix undefined behaviour during multi-segment reverse merges (issue #4144)
      * fix potential use of already freed memory during diff operation (r1311935)
      * improve performance of scan for the working copy root (r1306334)
      * cmdline: fix segfault during 'svn diff' argument processing (r1311702)
      * fix regression from 1.6 in update with --depth option (issue #4136)
      * propset: avoid undefined behaviour in error path (r1325361)
      * reset sqlite statements, partly for sqlite-3.7.11 compat (r1328846, et al)
      * fix assertion during 'svn diff -r BASE:HEAD ^/trunk' (issue #4161)
      * notify upon 'update' just removing locks on files (r1329876)
      * neon: fix potential use of freed memory during commits (r1329388)
      * 'status --xml' doesn't show repository deletes correctly (issue #4167)
      * fix assert on svn:externals with drive letter on Windows (issue #4073)
      * fix 'svn update --depth=empty' against 1.4 servers (issue #4046)
      * handle missing svn:date reported by svnserve gracefully (r1306111)
      * fix merges which first add a subtree and then delete it (issue #4166)
      * fix a regression with checkout of file externals (issue #4087)
      * don't add spurious mergeinfo to subtrees in edge-case merge (issue #4169)
      * improve performance of status on large working copies (issue #4178)
     * Server-side bugfixes:
      * fix non-fatal FSFS corruption bug with concurrent commits (issue #4129)
      * mod_dav_svn: raise an error on MERGE of non-existent resource (r1298343)
      * mod_dav_svn: support compiling/running under httpd-2.4 (r1232267)
      * mod_dav_svn: forbid BDB repositories under httpd's event MPM (issue #4157)
     * Other tool improvements and bugfixes:
      * emacs support: updates to dsvn.el and vc-svn.el (r1200896, et al)
      * Developer-visible changes:
    * General:
      * windows example distribution scripts: include svnrdump (r1295007)
      * fix running the test suite with jsvn (r1335555)
    * Bindings:
      * swig-py tests: avoid FAILs on APR hash order (r1296137, r1292248)
      * swig-rb tests: avoid FAILs on APR hash order (r1310535, r1310594)
      * swig-pl: Improved perl detection in gen-make.py (r1291797, r1291810)
 
 -- Gavin Cox <opensource@wandisco.com>  Tue, 16 May 2012 15:31:00 +0000

subversion (1.7.4-1+WANdisco) stable; urgency=low
  * Version 1.7.4
  * (08 Mar 2012, from /branches/1.7.x)
  * http://svn.apache.org/repos/asf/subversion/tags/1.7.4
  *  User-visible changes:
    * fix 'svn log --diff' for moved paths (r1210147, et al)
    * fix ra_serf problem with reading directory entries via HTTPv2 -(r1238121)
    * prepend "sqlite:" to error messages from SQLite (r1245738, -817)
    * fix randomly missing "Merged via" notifications in 'svn log -g' (r1293229)
    * fix spurious conflict when merging deleted symbolic link (issue #4052)
    * fix URL-to-WC copy of externals on Windows (issue #4123)
    * improve an FSFS sanity-check error message (r1294470)
    * fix regressions with symlinks pointing at externals (issue #4102)
    * fix 'svn log --diff' output ordering issue on Windows (r1295671)

