=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: subversion
 Section: vcs
 Priority: optional
-Maintainer: Mark Poole <mark.poole@wandisco.com>
-Build-Depends: debhelper, libneon27-gnutls-dev, libserf-dev (>= 1.0.0-1), zlib1g-dev,
-               libapr1-dev, libaprutil1-dev, libdb4.8-dev,
+Maintainer: Mark Poole <mark@wandisco.com>
+Build-Depends: debhelper, libneon27-gnutls-dev, libserf-0-0-dev (>= 0.2.0-1), zlib1g-dev,
+               libapr1-dev, libaprutil1-dev, libdb4.6-dev,
                libsasl2-dev, apache2-threaded-dev,
                libsqlite3-dev (>= 3.4), libgnome-keyring-dev, libdbus-1-dev, kdelibs5-dev,
                quilt, doxygen, autotools-dev, autoconf, libtool, swig,
                python-all-dev, python-support,
                perl, libperl-dev, ruby1.8, ruby1.8-dev,
                junit [!alpha !arm !hppa !m68k !mips !mipsel !hurd-i386]
-Build-Conflicts: libsvn-dev (<< 1.6)
-XS-Python-Version: 2.4, 2.5, 2.6
+Build-Conflicts: libsvn-dev (<< 1.7~)
+XS-Python-Version: >= 2.4, << 3.0
 Homepage: http://subversion.apache.org/
-Standards-Version: 0.1
 
 Package: subversion
 Architecture: any
@@ -73,8 +72,9 @@
 Package: python-subversion
 Section: python
 Architecture: any
-Depends: subversion, ${shlibs:Depends}, ${Python:Depends}
+Depends: subversion, python (>= 2.4)
 Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
 Description: Python bindings for Subversion
  This is a set of Python interfaces to libsvn, the Subversion
  libraries.  It is useful if you want to, for example, write a Python
@@ -84,10 +84,10 @@
 Package: subversion-tools
 Priority: extra
 Architecture: all
-Depends: subversion (>= 1.5)
-Recommends: python-subversion (>= 1.5), libsvn-perl (>= 1.5),
+Depends: subversion (>= 1.7)
+Recommends: python-subversion, libsvn-perl,
             libconfig-inifiles-perl, liburi-perl,
-            exim4 | mail-transport-agent, xsltproc, rsync
+            exim4 | mail-transport-agent, rsync, svn2cl
 Suggests: libsvn-ruby1.8
 Description: Assorted tools related to Subversion
  This package includes miscellaneous tools for use with Subversion
@@ -100,16 +100,9 @@
   * svn_apply_autoprops: Apply property settings from
     .subversion/config file to an existing repository
   * svn_load_dirs: Sophisticated replacement for 'svn import'
-  * svn2cl: Generate GNU-style changelog from repository history
-  * svnmerge: Maintain merge history between two related branches
-    (mostly obsolete as of Subversion 1.5)
   * svnwrap: Set umask to 002 before calling svn or svnserve
   * several example hook scripts: commit-access-control, commit-email,
     log-police, mailer, svnperms, verify-po
- .
- NOTE that some of these scripts are unsupported by upstream, and may
- change radically or disappear in future releases.  The Recommended
- packages are each required by at least one of these scripts.
 
 Package: libsvn-java
 Section: java
