=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,12 @@
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
+# Disable test suite
+export DEB_OPT_NOCHECK=yes
+
 # Fully functional Java support is still a bit spotty on some Debian
 # architectures.  DISABLE_JAVAHL_ARCHS overrides ENABLE_JAVAHL=yes.
-# Note: the Build-Depends line in debian/control must be kept in sync
+# Note: the Build-Depends line in /control must be kept in sync
 # with DISABLE_JAVAHL_ARCHS.
 
 ENABLE_JAVAHL        := yes
@@ -27,8 +30,7 @@
 # We may need to disable libapache2-svn and/or libsvn-ruby*.
 ENABLE_APACHE        := yes
 ENABLE_RUBY          := yes
-DEB_BUILD_OPTIONS=nocheck
-DEB_OPT_NOCHECK=nocheck
+
 DEB_BUILDDIR     := BUILD
 MAKE_B           := $(MAKE) -C $(DEB_BUILDDIR)
 
@@ -70,9 +72,11 @@
 confflags := \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
+		--with-custom-libtool=libtool \
 		--with-apr=/usr \
 		--with-apr-util=/usr \
 		--with-neon=/usr \
+		--with-serf=/usr \
 		--with-berkeley-db=:::db \
 		--with-sasl=/usr \
 		--with-editor=/usr/bin/editor \
@@ -91,8 +95,7 @@
 
 export DH_OPTIONS
 ifdef DEB_OPT_WITH_JAVAHL
-  # jikes 1.22 cannot compile javahl.
-  confflags += --enable-javahl --with-jdk=/opt/jdk \
+  confflags += --enable-javahl --with-jdk=/opt/jdk --without-jikes \
                --with-junit=/usr/share/java/junit.jar
 else
   DH_OPTIONS += -Nlibsvn-java
@@ -147,11 +150,13 @@
 	dh_testdir
 
 	test -e patches || ln -s debian/patches patches
-	mkdir -p $(DEB_BUILDDIR)
+	mkdir -p $(DEB_BUILDDIR) $(HOME)
 	cd $(DEB_BUILDDIR) && \
 		PYTHON=/usr/bin/python RUBY=/usr/bin/$(RUBY) \
 		$(CURDIR)/configure $(confflags)
 
+	# Copy swig bindings over
+	cp -R subversion/bindings/* BUILD/subversion/bindings/
 	# Subversion upstream ships with Swig 1.3.25 pregenerated
 	# files, which may interact badly with the build if Debian swig
 	# is not version 1.3.25 - particularly with swig 1.3.24.
@@ -166,7 +171,7 @@
 
 build: debian/stamp-build-arch debian/stamp-build-indep
 
-check_defs := CLEANUP=true LC_ALL=C
+check_defs := CLEANUP=1 LC_ALL=C
 check_swig := check-swig-py check-swig-pl $(if $(DEB_OPT_WITH_RUBY),check-swig-rb)
 check_all := $(check_swig) $(if $(DEB_OPT_WITH_JAVAHL),check-javahl) check
 check-help:
@@ -191,6 +196,8 @@
 	# note: autogen-swig does not support -jN
 	$(call allpy, $(MAKE_B) -j1 autogen-swig)
 	+$(MAKE_B) all tools
+	# Run svn once, to make sure it populates $(HOME)/.subversion/*
+	$(DEB_BUILDDIR)/subversion/svn/svn --version > /dev/null
 	$(call allpy, \
 	  $(MAKE_B) swig-py PYTHON=python$$v PYVER=$$v \
 	            PYTHON_INCLUDES=-I/usr/include/python$$v \
@@ -240,16 +247,6 @@
 	dh_testdir
 	dh_clean
 	$(RM) patches
-	$(MAKE) -C debian/tools clean
+	! [ -f $(DEB_BUILDDIR)/Makefile ] || $(MAKE_B) extraclean-swig distclean
 	$(RM) -r $(DEB_BUILDDIR)
-	find * -name \*.pyc -print0 | xargs -0 $(RM)
-	# these are (re)generated by autogen.sh
-	$(RM) subversion/bindings/swig/proxy/*.swg
-	$(RM) configure build/libtool.m4 build/ltmain.sh
-	$(RM) debian/stamp-*
-
-debian/stamp-install-common:
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-	for package in `dh_listpackages` ; do \
+	$(RM) build-outputs.mk gen-make.opts subversion/svn_private_config.h.in
