=== debian/watch ===
# 'man uscan' for the format and usage of this file
version=3
opts=dversionmangle=s/\.dfsg\d+$// \
  http://subversion.tigris.org/servlets/ProjectDocumentList?folderID=260&expandFolder=74 \
  http://subversion.tigris.org/downloads/subversion-(\d+.\d+.\d+).tar.gz
